#51 Mantis ID:8453 - Obsolete macro in widgets library

open
nobody
None
3
2009-02-10
2009-02-10
omfgppc
No

Reporter: petebisson
Severity: Patch
Category: All
Project: xTupleApps

Version: 3.2.1

Description:
While trying to fix a build issue with 3.2.1 I discovered that the Q_EXPORT_PLUGIN(ClassName) macro is now obsolete.

http://doc.trolltech.com/4.4/qtplugin-obsolete.html

Patch attached to use the correct replacement,

Q_EXPORT_PLUGIN2(PluginName, ClassName)

Note that the macro Q_EXPORT_STATIC_PLUGIN(ClassName) is still the correct one for building the static plugin - I haven't just missed it :-)

Steps to reproduce:

Additional information:

Read more at http://www.xtuple.org/mantis/view.php?id=8453

Discussion


Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks